[ECOS] In great Need of some Educate'n

Andrew Lunn andrew@lunn.ch
Tue Jul 1 22:20:00 GMT 2008


On Tue, Jul 01, 2008 at 02:52:04PM -0700, John Morrison wrote:
> Help.
> 
> We need to upgrade the binutils and GCC to 2.18 and 4.2.3 respectively
> (something to do with FreeBDS?).  We are currently at 2.10.1 and 2.95.2.
> Our code was easy fix, but I'm having trouble rebuilding Ecos.  I
> believe that we are running 1.3.1?  I'm not sure, I've kinda taken over
> this stuff from someone else.

1.3.1? What breed of dinosaur was he? 

> 
> What would be the normal steps to rebuild the ecos libraries?

The documentation is a good place to start.

The old 1.3.1 documents are still available:
http://ecos.sourceware.org/docs-1.3.1/

However the concepts for building eCos have not changes since
prehistoric times, so reading the last documents about how to build
eCos is also O.K.

http://ecos.sourceware.org/docs-latest/

> Does the build process create new versions of stdio, stdarg, etc.?

If your configuration includes them. Do you still have the
configuration information?

> make -r -C language/c/libc/string/current headers
> <my path info>/bldEcos1/ecos_install/include/cyg/hal/arch.inc: Assembler

Err, weren't you suppose to replace <my path info> with something? Are
you following somebodies instructions? Normally you replace <foobar>
with a real path.

> messages:
> make[1]: Entering directory `<my path
> info>/bldEcos1/ecos_build/language/c/libc/string/current'
> <my path info>/bldEcos1/ecos_install/include/cyg/hal/arch.inc:138:
> Error: Macro `lwi' was already defined

You might want to look at 

http://ecos.sourceware.org/cgi-bin/cvsweb.cgi/ecos/packages/hal/powerpc/arch/current/include/arch.inc?cvsroot=ecos

and in particular the last change, "Update for newer GCC/GAS"

    Andrew

-- 
Before posting, please read the FAQ: http://ecos.sourceware.org/fom/ecos
and search the list archive: http://ecos.sourceware.org/ml/ecos-discuss



More information about the Ecos-discuss mailing list